@call path_setup.bat
@call sensitive\key.bat
set APPLET_BUILD=%WEBSIGN_PROJECT%\appletbuild\build
set APPLET_DIST=%WEBSIGN_PROJECT%\appletbuild\dist
set APPLET_JAR_NAME=WebSign.jar

erase /S /Q %APPLET_BUILD%\*.*
erase /S /Q %APPLET_DIST%\*.*
xcopy /Y /E %CAPI_PROJECT%\build\classes\*.* %APPLET_BUILD%\
xcopy /Y /E %WEBSIGN_PROJECT%\libs\classlib\*.* %APPLET_BUILD%\
xcopy /Y /E %WEBSIGN_PROJECT%\build\classes\*.* %APPLET_BUILD%\

cd %APPLET_BUILD%
"%ZPATH%\7za" a -r -tzip -mx=9 %APPLET_DIST%\WebSign.zip *.*

rename %APPLET_DIST%\WebSign.zip %APPLET_JAR_NAME%

echo Signing...
jarsigner -keystore %WEBSIGN_PROJECT%/sensitive/freemailKey.p12 -storepass %STORE_PASS% -keypass %KEY_PASS% -storetype PKCS12 %APPLET_DIST%\%APPLET_JAR_NAME% 6c8a05aeb1681a2b56fc769f2cf698f0_c4f85914-3b21-437c-85ea-9604baba65f9

pause